Bug 144547 - system-config-users adds arbitrary information to /etc/group when adding a user to a new group.
system-config-users adds arbitrary information to /etc/group when adding a us...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: system-config-users (Show other bugs)
3
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Nils Philippsen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-07 19:55 EST by Peter B.
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-13 14:54:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter B. 2005-01-07 19:55:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
I first discovered the problem when I was trying to add a user (pete)
on my system to group wheel with system-config-users. I noticed that
after making the changes there were bogus users in the wheel group in
/etc/group. I expected to see something along the lines of
"wheel:x:10:root,pete", however the line had two extra (non-existing)
users in it: "wheel:x:10:root,t,oot,pete". I was able to recreate the
problem many times. I even created a test user to test the problem on
and the same results appeared. Not sure if this is a bug or not but it
looks as if it is. 

Version-Release number of selected component (if applicable):
1.2.28-0.fc3.1

How reproducible:
Always

Steps to Reproduce:
1. Open system-config-users
2. Select a user from the users and click on properties
3. Click on the groups tab
4. Scroll down and check the box in front of wheel
5. Check the users in the wheel group in /etc/group    

Actual Results:  [pete@localhost ~]$ cat /etc/group | grep wheel
wheel:x:10:root,t,oot,pete

Expected Results:  [pete@localhost ~]$ cat /etc/group | grep wheel
wheel:x:10:root,pete

Additional info:
Comment 1 Nils Philippsen 2005-01-11 08:13:57 EST
This works for me, I have the same s-c-users version and libuser-0.52.5-1. Which
version of libuser do you have? Does running s-c-users from the command line
give any error messages?
Comment 2 Nils Philippsen 2005-03-10 06:14:35 EST
ping?
Comment 3 John Thacker 2007-01-13 14:54:59 EST
(This is a mass update to bugs which have been in NEEDINFO unmodified for over a
year and are for a currently unsupported version of Fedora Core.)

Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.